#include <iostream>

using namespace std;

int main()
{
    int total = 0;

    // 实现方法 1
    int i = 100;
    while (i--)
    {
        if (i % 5 == 0)
            continue;
        total += i;
    }

    // 实现方法 2
    // for (int i = 1; i < 100; i++)
    // {
    //     if (i % 5 == 0)
    //         continue;
    //     total += i;
    // }

    cout << "100以内除了5的倍数之外的数之和为: " << total << endl;
    return 0;
}